Subject: Re: What's cooking in git.git (Jan 2025, #09; Fri, 31)

From: Junio C Hamano <[email-masked]>
Date: Mon, 03 Feb 2025 13:38:04 -0800

Derrick Stolee <[email-masked]> writes:

> On 1/31/25 9:51 PM, Junio C Hamano wrote:
>
>> * ds/backfill (2025-01-23) 6 commits
>>   - backfill: assume --sparse when sparse-checkout is enabled
>>   - backfill: add --sparse option
>>   - backfill: add --min-batch-size=<n> option
>>   - backfill: basic functionality and tests
>>   - backfill: add builtin boilerplate
>>   - Merge branch 'ds/path-walk-1' into ds/backfill
>>   Lazy-loading missing files in a blobless clone on demand is costly
>>   as it tends to be one-blob-at-a-time.  "git backfill" is introduced
>>   to help bulk-download necessary files beforehand.
>>   Expecting a reroll.
>>   cf. <[email-masked]>
>>   source: <[email-masked]>
>
> I've updated this onto 'master' now that ds/path-walk-1 is merged. v3
> is imminent.
>
> It required a few updates that I'm sure you've been making within the
> merge in order to keep 'seen' building.

;-)

>> * ds/name-hash-tweaks (2025-01-27) 7 commits
>>   - pack-objects: prevent name hash version change
>>   - test-tool: add helper for name-hash values
>>   - p5313: add size comparison test
>>   - pack-objects: add GIT_TEST_NAME_HASH_VERSION
>>   - repack: add --name-hash-version option
>>   - pack-objects: add --name-hash-version option
>>   - pack-objects: create new name-hash function version
>>   "git pack-objects" and its wrapper "git repack" learned an option
>>   to use an alternative path-hash function to improve delta-base
>>   selection to produce a packfile with deeper history than window
>>   size.
>>   Will merge to 'next'?
>>   source: <[email-masked]>
> Since this is still marked with a question mark, I'll mention that
> the last version seems stable and has Taylor's review.

Indeed this has an Ack in <[email-masked]>.  Let's
merge it down to 'next'.